#!/bin/sh

# Written by Anton V. Yuzhaninov <citrin % mail.ru>
# traffic logger based on ng_ipacct by Roman V. Palagin
# ftp://ftp.wuppy.net.ru/pub/BSD/FreeBSD/local/kernel/ng_ipacct/

# File name format
# YYYY-MM-DD-hour

#####################################################################################
#
#    
#     show   checkpoint    
#  ip_from ip_to packets bytes
#       IOS show ip accounting
#      verbose    :
#
#  ip_from s_port ip_to d_port proto packets bytes 
#  
#   proto - ICMP,  s_port - ICMP type, d_port - ICMP sub-code.
#
#####################################################################################

IPACCTCTL="/usr/local/sbin/ipacctctl"
IFACE=$1
DIR=/var/log/ipacct
SDIR=`date -v-9M "+%Y-%m-%d"`

if [ ! -e "$DIR/$SDIR" ]; then
   mkdir $DIR/$SDIR
fi

NAME=`date -v-9M "+%Y-%m-%d-%H-$IFACE"`

$IPACCTCTL ${IFACE}_ip_acct:$IFACE checkpoint
$IPACCTCTL ${IFACE}_ip_acct:$IFACE show >> $DIR/$SDIR/$NAME
$IPACCTCTL ${IFACE}_ip_acct:$IFACE clear

/usr/bin/tail -1 $DIR/$SDIR/$NAME | /usr/bin/fgrep exceed
